osg::VertexAttribAlias Class Reference

`#include <GLExtensions>`

## Public Member Functions

| VertexAttribAlias ()
| VertexAttribAlias (const VertexAttribAlias &rhs)
| VertexAttribAlias (GLuint location, const std::string glName, const std::string osgName, const std::string &declaration)
VertexAttribAlias & | operator= (const VertexAttribAlias &o)

## Public Attributes

GLuint | _location
std::string | _glName
std::string | _osgName
std::string | _declaration

## Constructor & Destructor Documentation

## VertexAttribAlias() [1/3]

osg::VertexAttribAlias::VertexAttribAlias | ( |  | ) |

inline

References _location.

Referenced by operator=(), and VertexAttribAlias().

## VertexAttribAlias() [2/3]

osg::VertexAttribAlias::VertexAttribAlias | ( | const VertexAttribAlias & | rhs | ) |

inline

References _declaration, _glName, _location, _osgName, and VertexAttribAlias().

## VertexAttribAlias() [3/3]

osg::VertexAttribAlias::VertexAttribAlias | ( | GLuint | location,
|  | const std::string | glName,
|  | const std::string | osgName,
|  | const std::string & | declaration )

inline

References _declaration, _glName, _location, and _osgName.

## Member Function Documentation

## operator=()

VertexAttribAlias & osg::VertexAttribAlias::operator= | ( | const VertexAttribAlias & | o | ) |

inline

References _declaration, _glName, _location, _osgName, and VertexAttribAlias().

## Member Data Documentation

## _declaration

std::string osg::VertexAttribAlias::_declaration

Referenced by operator=(), VertexAttribAlias(), and VertexAttribAlias().

## _glName

std::string osg::VertexAttribAlias::_glName

Referenced by operator=(), VertexAttribAlias(), and VertexAttribAlias().

## _location

GLuint osg::VertexAttribAlias::_location

Referenced by operator=(), VertexAttribAlias(), VertexAttribAlias(), and VertexAttribAlias().

## _osgName

std::string osg::VertexAttribAlias::_osgName

Referenced by operator=(), VertexAttribAlias(), and VertexAttribAlias().

The documentation for this class was generated from the following file:

- GLExtensions